%global pypi_name ifaddr
%global _description \
ifaddr is a small Python library that allows you to find all the IP addresses\
of the computer.
 
Summary:        Python library that allows you to find all the IP addresses of the computer
Name:           python-%{pypi_name}
Version:        0.2.0
Release:        4%{?dist}
License:        MIT
URL:            https://pypi.org/project/ifaddr/
Source:         %{pypi_source}
 
BuildArch:      noarch
 
%description %{_description}
 
%package -n python3-%{pypi_name}
Summary:        %{summary}
BuildRequires:  python3-devel python3-setuptools 

%description -n python3-%{pypi_name} %{_description}
 
%prep
%autosetup -n %{pypi_name}-%{version}
 
%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE.txt
%doc README.rst
%{python3_sitelib}/*

%changelog
* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.2.0-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.2.0-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.2.0-2
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Apr 14 2023 kianli <kianli@tencent.com> - 0.2.0-1
- initial build
